Bug 1478557 - Tag with Key 'Name' and a nil Value Breaks Refresh for AWS
Summary: Tag with Key 'Name' and a nil Value Breaks Refresh for AWS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: GA
: 5.8.2
Assignee: Adam Grare
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2:cloud:refresh
Depends On: 1471297
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-04 19:21 UTC by Satoe Imaishi
Modified: 2017-10-24 00:36 UTC (History)
8 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1471297
Environment:
Last Closed: 2017-10-24 00:36:38 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-08-04 19:22:59 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/fine:
https://github.com/ManageIQ/manageiq-providers-amazon/commit/1da4ce74cdc461d9b231c6c415612201748b2b75

commit 1da4ce74cdc461d9b231c6c415612201748b2b75
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Fri Jul 14 19:32:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Aug 4 15:22:19 2017 -0400

    Merge pull request #273 from agrare/bz_1353979_blank_image_name
    
    Handle empty string in image name tags
    (cherry picked from commit 52afa0938c1c80a0dd3bbb6f3779c259b5816b51)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1478557

 .../manageiq/providers/amazon/cloud_manager/refresh_parser.rb       | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 3 Matouš Mojžíš 2017-09-04 07:50:59 UTC
Verified in 5.8.2.0. Refresh works when having instance or AMI with tag "Name" : "".

Comment 5 errata-xmlrpc 2017-10-24 00:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.